# class Puppet::ModuleTool::Errors::UnknownModuleError

### Public Class Methods

new(options) click to toggle source
Calls superclass method Puppet::ModuleTool::Errors::UpgradeError.new

    # File lib/puppet/module_tool/errors/upgrader.rb, line 40
    def initialize(options)
      @module_name       = options[:module_name]
      @installed_version = options[:installed_version]
      @requested_version = options[:requested_version]
      @repository        = options[:repository]
      super "Could not upgrade '#{@module_name}'; module is unknown to #{@repository}"
    end

### Public Instance Methods

multiline() click to toggle source

    # File lib/puppet/module_tool/errors/upgrader.rb, line 48
    def multiline
      message = []
      message << "Could not upgrade module '#{@module_name}' (#{vstring})"
      message << "  Module '#{@module_name}' does not exist on #{@repository}"
      message.join("\n")
    end